<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="https://jmix.io/schema/ui/window"
        xmlns:c="https://jmix.io/schema/ui/jpql-condition"
        caption="msg://profitLossCalBrowse.caption"
        focusComponent="profitLossCalsTable">
    <data readOnly="true">
        <collection id="profitLossCalsDc"
                    class="com.company.wallet.entity.ProfitLossCal">
            <fetchPlan extends="_base"/>
            <loader id="profitLossCalsDl">
                <query>
                    <![CDATA[select e from ProfitLossCal e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="profitLossCalsTable" spacing="true">
        <filter id="filter"
                dataLoader="profitLossCalsDl">
            <properties include=".*"/>
        </filter>
        <table id="profitLossCalsTable"
               width="100%"
               dataContainer="profitLossCalsDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="accOwner"/>
                <column id="availableAsset"/>
                <column id="avgCost"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="profitLossCalsTable.create"/>
                <button id="editBtn" action="profitLossCalsTable.edit"/>
                <button id="removeBtn" action="profitLossCalsTable.remove"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
